Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.options
Class OptionGroup

    java.lang.Object
      net.sourceforge.jsxe.options.OptionGroup

public class OptionGroup
extends Object

A set of option panes shown in one branch in the options dialog.

In those cases where a single option pane is inadequate to present all of a plugin's configuration options, this class can be used to create a group of options panes. The group will appear as a single node in the options dialog tree. The member option panes will appear as leaf nodes under the group's node.

Version:
  $Id: OptionGroup.java 768 2005-10-27 00:09:06Z ian_lewis $
Author:
  Mike Dillon, John Gellene (API documentation), Ian Lewis (IanLewis@member.fsf.org)
See Also:
  `OptionPane`, `OptionsDialog.addOptionGroup(OptionGroup)`

Constructor Summary
`OptionGroup(String name, String title)` Creates an option group.

Method Summary
`void` | `addOptionGroup(OptionGroup group)` Adds a group as a child in the option tree.
`void` | `addOptionPane(OptionPane pane)` Adds an OptionPane as a leaf node in the option tree.
`Object` | `getMember(int index)` Gets a specific member of the option group
`int` | `getMemberCount()` Gets the number of members in this group
`int` | `getMemberIndex(Object member)` Gets the index of a member
`Enumeration` | `getMembers()` Gets the members of this option group
`String` | `getName()` Gets the internal name of the option group
`String` | `getTitle()` Gets the title for the option group
`void` | `save()` Saves the options in all options panes
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionGroup

    public OptionGroup(String name,
                       String title)

  Creates an option group.

Parameters:
  `name` - The internal name of the option group, used to key a property `options.name.label` which is the label displayed in the options dialog.

Method Detail

### getName

    public String getName()

  Gets the internal name of the option group

### getTitle

    public String getTitle()

  Gets the title for the option group

### addOptionGroup

    public void addOptionGroup(OptionGroup group)

  Adds a group as a child in the option tree.

  Parameters:
    `group` - the group to add

### addOptionPane

    public void addOptionPane(OptionPane pane)

  Adds an OptionPane as a leaf node in the option tree.

  Parameters:
    `pane` - the OptionPane to add to this group

### getMembers

    public Enumeration getMembers()

  Gets the members of this option group

### getMember

    public Object getMember(int index)

  Gets a specific member of the option group

### getMemberIndex

    public int getMemberIndex(Object member)

  Gets the index of a member

### getMemberCount

    public int getMemberCount()

  Gets the number of members in this group

### save

    public void save()

  Saves the options in all options panes

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD